<!DOCTYPE HTML>
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui"
	xmlns:h="http://java.sun.com/jsf/html">
<body>
	<div id="Menu">
		<ui:include src="/HomeEmployee.xhtml" />
		<div class="row">
			<div class="col-lg-3"></div>
			<div class="col-lg-9">
				<div class="row">
					<div class="col-md-12">
						<div class="widget">
							<div class="widget-header transparent">
								<h2>
									<strong>MY PROJECTS</strong> 
								</h2>
								<div class="additional-btn">
									<a href="#" class="hidden reload"><i class="icon-ccw-1"></i></a>
									<a href="#" class="widget-toggle"><i
										class="icon-down-open-2"></i></a> <a href="#" class="widget-close"><i
										class="icon-cancel-3"></i></a>
								</div>
							</div>
							<div class="widget-content">
							<div class="data-table-toolbar">
									<div class="row">
										<div class="col-md-4">
											
										</div>
										<div class="col-md-8">
											<div class="toolbar-btn-action">
											
												<button type="button" class="btn btn-info"
													data-toggle="modal" data-target="#modalStats">My stats</button>
											</div>
										</div>
									</div>
								</div>
								

								<div class="table-responsive">
									<h:form>
										<h:dataTable data-sortable="table table-hover table-striped"
											var="project" value="#{myProjectBean.myProjects}" border="2">


											<h:column>

												<f:facet name="header">
													<h:outputText value="Name" />
												</f:facet>
												<h:outputText value="#{project.name}" />
											</h:column>

											<h:column>
												<f:facet name="header">
													<h:outputText value="Date of beginning" />
												</f:facet>
												<h:outputText value="#{project.dateOfBeginning}" />
											</h:column>

											<h:column>
												<f:facet name="header">
													<h:outputText value="Expected end date" />
												</f:facet>
												<h:outputText value="#{project.expectedDateEnd}" />
											</h:column>

											<h:column>
												<f:facet name="header">
													<h:outputText value="End date" />
												</f:facet>
												<h:outputText value="#{project.dateOfEnd}" />
											</h:column>

											<h:column>
												<f:facet name="header">
													<h:outputText value="Status" />
												</f:facet>
												<h:outputText value="#{project.status}" />
											</h:column>

											
											<h:column>
												<f:facet name="header">
													<h:outputText value="Tasks" />
												</f:facet>
												<h:commandLink
													action="#{taskBean.doGetListTasks(project.id)}"
													class="fa fa-search" />
											</h:column>

											
											

										</h:dataTable>


									</h:form>

								</div>
								
							</div>

						</div>
					</div>
				</div>

			</div>
		</div>
	</div>

	<ui:include src="/Footer.xhtml" />

		
	<!-- MODAL STATS -->
	<div id="modalStats" class="modal fade" role="dialog">
		<div class="modal-dialog">

			<!-- Modal content-->
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal">x</button>
					<h4 class="modal-title">MY STATS</h4>
				</div>
				<div class="modal-body">
					Number of my projects : #{projectBean.getNumberProjects(identity.user.id)}<br/>
					Number of Tasks to do : #{myProjectBean.nbToDO}<br/>
					Number of Tasks doing : #{myProjectBean.nbDoing}<br/>
					Number of Tasks Done : #{myProjectBean.nbDone}<br/>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
				</div>
			</div>

		</div>
	</div>
	<!-- END MODAL STATS -->

</body>
</html>
